Structured search
curl --request POST \
--url https://api.apyconnect.io/v1/contacts/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 123,
"cursor": "<string>",
"filters": {
"stage": "<string>",
"tag": "<string>",
"owner_id": "<string>",
"country": "<string>",
"custom_fields": {}
}
}
'import requests
url = "https://api.apyconnect.io/v1/contacts/search"
payload = {
"query": "<string>",
"limit": 123,
"cursor": "<string>",
"filters": {
"stage": "<string>",
"tag": "<string>",
"owner_id": "<string>",
"country": "<string>",
"custom_fields": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
limit: 123,
cursor: '<string>',
filters: {
stage: '<string>',
tag: '<string>',
owner_id: '<string>',
country: '<string>',
custom_fields: {}
}
})
};
fetch('https://api.apyconnect.io/v1/contacts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "contact",
"id": "<string>",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"avatar_url": "<string>",
"stage": "<string>",
"owner_id": "<string>",
"company_id": "<string>",
"country": "<string>",
"locale": "<string>",
"email": "<string>",
"phone": "<string>",
"tags": [
"<string>"
],
"identifiers": [
{
"object": "identifier",
"id": "<string>",
"type": "<string>",
"value": "<string>",
"primary": true,
"verified": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"custom_fields": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "<string>",
"last_seen_at": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"limit": 123
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}Contacts
Structured search
POST
/
v1
/
contacts
/
search
Structured search
Autorizaciones
Opaque token issued by /oauth/token.
